Bug 1156138

Summary: [abrt] atril: gray_find_cell(): atril killed by SIGABRT
Product: [Fedora] Fedora Reporter: Vasilis Tsiatouras <tsiatouras.vasilis>
Component: freetypeAssignee: Marek Kašík <mkasik>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 20CC: behdad, dan.mashal, fedora, fonts-bugs, kevin, mkasik
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
URL: https://retrace.fedoraproject.org/faf/reports/bthash/185649330fce1bd8cba9d054cd08e305240f11cc
Whiteboard: abrt_hash:265fa4800e1f8f08b5738f295e7d369157ac52d1
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-06-29 23:01:26 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
File: backtrace
none
File: cgroup
none
File: core_backtrace
none
File: dso_list
none
File: environ
none
File: limits
none
File: maps
none
File: open_fds
none
File: proc_pid_status
none
File: var_log_messages none

Description Vasilis Tsiatouras 2014-10-23 15:59:16 UTC
Version-Release number of selected component:
atril-1.8.1-2.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        atril '/home/vasilis/Desktop/Interviews/5 Most Common Internship Interview Questions and How to Answer Them.pdf'
crash_function: gray_find_cell
executable:     /usr/bin/atril
kernel:         3.16.6-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #6 gray_find_cell at /usr/src/debug/freetype-2.5.0/src/smooth/ftgrays.c:533
 #7 gray_record_cell at /usr/src/debug/freetype-2.5.0/src/smooth/ftgrays.c:553
 #8 gray_set_cell at /usr/src/debug/freetype-2.5.0/src/smooth/ftgrays.c:596
 #9 gray_render_scanline at /usr/src/debug/freetype-2.5.0/src/smooth/ftgrays.c:701
 #10 gray_render_line at /usr/src/debug/freetype-2.5.0/src/smooth/ftgrays.c:856
 #11 gray_render_conic at /usr/src/debug/freetype-2.5.0/src/smooth/ftgrays.c:991
 #12 gray_conic_to at /usr/src/debug/freetype-2.5.0/src/smooth/ftgrays.c:1202
 #13 FT_Outline_Decompose at /usr/src/debug/freetype-2.5.0/src/base/ftoutln.c:191
 #14 gray_convert_glyph_inner at /usr/src/debug/freetype-2.5.0/src/smooth/ftgrays.c:1783
 #15 gray_convert_glyph at /usr/src/debug/freetype-2.5.0/src/smooth/ftgrays.c:1885

Comment 1 Vasilis Tsiatouras 2014-10-23 15:59:20 UTC
Created attachment 950002 [details]
File: backtrace

Comment 2 Vasilis Tsiatouras 2014-10-23 15:59:21 UTC
Created attachment 950003 [details]
File: cgroup

Comment 3 Vasilis Tsiatouras 2014-10-23 15:59:22 UTC
Created attachment 950004 [details]
File: core_backtrace

Comment 4 Vasilis Tsiatouras 2014-10-23 15:59:23 UTC
Created attachment 950005 [details]
File: dso_list

Comment 5 Vasilis Tsiatouras 2014-10-23 15:59:25 UTC
Created attachment 950006 [details]
File: environ

Comment 6 Vasilis Tsiatouras 2014-10-23 15:59:26 UTC
Created attachment 950007 [details]
File: limits

Comment 7 Vasilis Tsiatouras 2014-10-23 15:59:27 UTC
Created attachment 950008 [details]
File: maps

Comment 8 Vasilis Tsiatouras 2014-10-23 15:59:28 UTC
Created attachment 950009 [details]
File: open_fds

Comment 9 Vasilis Tsiatouras 2014-10-23 15:59:30 UTC
Created attachment 950010 [details]
File: proc_pid_status

Comment 10 Vasilis Tsiatouras 2014-10-23 15:59:31 UTC
Created attachment 950011 [details]
File: var_log_messages

Comment 11 Fedora End Of Life 2015-05-29 13:09:00 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Fedora End Of Life 2015-06-29 23:01:26 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.